Package com.pixelmed.display

# Class SourceSpectra

java.lang.Object
com.pixelmed.display.SourceSpectra

public class SourceSpectra extends Object

A class that encapsulates the features and values from an MR spectroscopy source, usually for the purpose of displaying it.

## Constructor Summary

Constructors
Constructor
Description
`SourceSpectra(AttributeList list)`
Construct spectra from a single or multi-frame DICOM spectroscopy object from a list of DICOM attributes.
`SourceSpectra(DicomInputStream i)`
Construct spectra from a single or multi-frame DICOM spectroscopy object from an input stream (such as from a file or the network).

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumns()`
`int`
`getDataPointColumns()`
`int`
`getDataPointRows()`
`float`
`getMaximum()`
`float`
`getMinimum()`
`int`
`getNumberOfFrames()`
`int`
`getRows()`
`float[][]`
`getSpectra()`
`String`
`getTitle()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SourceSpectra

public SourceSpectra(DicomInputStream i) throws IOException, DicomException

Construct spectra from a single or multi-frame DICOM spectroscopy object from an input stream (such as from a file or the network).

Parameters:
  `i` - the input stream
Throws:
  `IOException`
  `DicomException`

### SourceSpectra

public SourceSpectra(AttributeList list) throws DicomException

Construct spectra from a single or multi-frame DICOM spectroscopy object from a list of DICOM attributes.

Parameters:
  `list` - the list of attributes that include the description and values of the spectroscopy data
Throws:
  `DicomException`

## Method Details

### getSpectra

public float[][] getSpectra()

### getTitle

public String getTitle()

### getNumberOfFrames

public int getNumberOfFrames()

### getRows

public int getRows()

### getColumns

public int getColumns()

### getDataPointRows

public int getDataPointRows()

### getDataPointColumns

public int getDataPointColumns()

### getMinimum

public float getMinimum()

### getMaximum

public float getMaximum()